#!/bin/sh
# $FreeBSD: ports/emulators/kqemu-kmod/files/kqemu.in,v 1.2 2006/12/21 22:13:24 miwi Exp $
#
# PROVIDE: kqemu
# KEYWORD: nojail
#
# Add the following line to /etc/rc.conf[.local] to enable kqemu
#
# kqemu_enable="YES"
#

. /etc/rc.subr

name="ilogic"
rcvar=${name}_enable

load_rc_config $name

: ${kqemu_enable="NO"}

start_cmd=ilogic_start
stop_cmd=ilogic_stop

ilogic_start()
{
	# load ucom if needed
	if ! kldstat -qm ucom; then
		if kldload ucom; then
			info 'ucom module loaded.'
		else
			warn 'ucom module failed to load.'
			return 1
		fi
	fi
	if ! kldstat -qm ilogic; then
		if kldload ilogic; then
			echo 'ilogic module loaded.'
		else
			warn 'ilogic module failed to load.'
			return 1
		fi
	fi
	return 0
}

ilogic_stop()
{
	if kldstat -qm ilogic && kldunload ilogic; then
		echo 'ilogic module unloaded.'
	fi
}

run_rc_command "$1"
